List transactions
curl --request GET \
--url http://api.gu1.ai/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.gu1.ai/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.gu1.ai/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
List transactions
List and filter transactions in your organization.
GET
/
transactions
List transactions
Overview
Returns a paginated transaction list scoped to your organization. Filters can also be reused by transaction exports and bulk rules re-evaluation.Latest rules evaluation filters
string
Optional inclusive lower bound, as an ISO 8601 timestamp with timezone, for the transaction’s latest successful rules evaluation.
string
Optional inclusive upper bound, as an ISO 8601 timestamp with timezone, for the transaction’s latest successful rules evaluation.
curl -s 'http://api.gu1.ai/transactions?lastRiskEvaluationFrom=2026-07-31T00:00:00.000Z&lastRiskEvaluationTo=2026-07-31T23:59:59.999Z' \
-H "Authorization: Bearer YOUR_API_KEY"
lastRiskEvaluationAt (string | null) with the stored evaluation timestamp.Was this page helpful?